<?php
/* Autor...:  */
/* Esquema.: GSS_Compania.xml */
/* Generado: 2022-02-16 18:36:47 */

/* Metodos de acceso a los campos de la tabla GSS_Compania */
abstract class BaseGSS_CompaniaBN
{
    /* Campos de la tabla */
    private $i_IdCompania;    // IdCompania: ( no definido )
    private $s_Codigo;    // Codigo: ( no definido )
    private $s_DescripcionCorta;    // DescripcionCorta: ( no definido )
    private $s_DescripcionLarga;    // DescripcionLarga: ( no definido )
    private $s_Departamento;    // Departamento: ( no definido )
    private $s_Provincia;    // Provincia: ( no definido )
    private $s_Distrito;    // Distrito: ( no definido )
    private $s_DireccionComun;    // DireccionComun: ( no definido )
    private $s_DireccionAdicional;    // DireccionAdicional: ( no definido )
    private $s_Telefono1;    // Telefono1: ( no definido )
    private $s_Telefono2;    // Telefono2: ( no definido )
    private $s_Ruc;    // Ruc: ( no definido )
    private $s_Estado;    // Estado: ( no definido )
    private $s_Telefono3;    // Telefono3: ( no definido )
    private $s_Fax1;    // Fax1: ( no definido )
    private $s_Fax2;    // Fax2: ( no definido )
    private $s_AfectoIGVFlag;    // AfectoIGVFlag: ( no definido )
    private $s_LogoFileDir;    // LogoFileDir: ( no definido )
    private $s_LogoFile;    // LogoFile: ( no definido )
    private $s_LogoFileAncho;    // LogoFileAncho: ( no definido )
    private $s_LogoFileAlto;    // LogoFileAlto: ( no definido )
    private $s_LogoBackFileDir;    // LogoBackFileDir: ( no definido )
    private $s_LogoBackFileWeb;    // LogoBackFileWeb: ( no definido )
    private $s_LogoBackFileAncho;    // LogoBackFileAncho: ( no definido )
    private $s_LogoBackFileAlto;    // LogoBackFileAlto: ( no definido )
    private $s_RepresentanteLegal;    // RepresentanteLegal: ( no definido )
    private $s_PaginaWeb;    // PaginaWeb: ( no definido )
    private $s_FacturaNotasFormatoPDF;    // FacturaNotasFormatoPDF: ( no definido )
    private $s_BoletaNotasFormatoPDF;    // BoletaNotasFormatoPDF: ( no definido )
    private $s_EmailEmpresa;    // EmailEmpresa: ( no definido )
    private $s_DirParaBuscarComprobante;    // DirParaBuscarComprobante: ( no definido )
    private $f_PorTipoCambio;    // PorTipoCambio: ( no definido )
    private $s_EnviarProveedorAutoFlag;    // EnviarProveedorAutoFlag: ( no definido )
    private $s_AfectoRetencionIGVFlag;    // AfectoRetencionIGVFlag: ( no definido )
    private $s_AfectoPercepcionIGVFlag;    // AfectoPercepcionIGVFlag: ( no definido )
    private $i_MostrarMargenVenta;    // MostrarMargenVenta: ( no definido )
    private $i_CarteraClienteFlag;    // CarteraClienteFlag: ( no definido )
    private $i_AprobacionParaImpGuias;    // AprobacionParaImpGuias: ( no definido )
    private $i_MostrarNumeroLote;    // MostrarNumeroLote: ( no definido )
    private $i_TrabajarModoAlquiler;    // TrabajarModoAlquiler: ( no definido )
    private $i_OpeCierreCaja;    // OpeCierreCaja: ( no definido )
    private $i_IdClientePorDef;    // IdClientePorDef: ( no definido )
    private $i_IdUsuarioAdmin;    // IdUsuarioAdmin: ( no definido )
    private $i_OpeDsctoStockEnGuiaR;    // OpeDsctoStockEnGuiaR: ( no definido )
    private $s_LogoBackgroundColor;    // LogoBackgroundColor: ( no definido )
    private $s_NavbarBackgroundColor;    // NavbarBackgroundColor: ( no definido )
    private $s_SidebarBackgroundColor;    // SidebarBackgroundColor: ( no definido )
    private $s_UsuSecundarioPruebaUser;    // UsuSecundarioPruebaUser: ( no definido )
    private $s_UsuSecundarioPruebaPass;    // UsuSecundarioPruebaPass: ( no definido )
    private $s_UsuSecundarioProdUser;    // UsuSecundarioProdUser: ( no definido )
    private $s_UsuSecundarioProdPass;    // UsuSecundarioProdPass: ( no definido )
    private $i_ModoEntorno;    // ModoEntorno: ( no definido )
    private $i_Eliminado;    // Eliminado: ( no definido )
    private $d_FechaEliminado;    // FechaEliminado: ( no definido )
    private $s_UsuarioEliminado;    // UsuarioEliminado: ( no definido )
    private $d_FechaCreacion;    // FechaCreacion: ( no definido )
    private $s_UsuarioCreacion;    // UsuarioCreacion: ( no definido )
    private $d_FechaModificacion;    // FechaModificacion: ( no definido )
    private $s_UsuarioModificacion;    // UsuarioModificacion: ( no definido )

    /* Establece el valor del campo IdCompania */
    public function setIdCompania( $i_IdCompania )
    {
        $this->i_IdCompania = $i_IdCompania;
    }

    /* Obtiene el valor del campo IdCompania */
    public function getIdCompania()
    {
        return $this->i_IdCompania;
    }

    /* Establece el valor del campo Codigo */
    public function setCodigo( $s_Codigo )
    {
        $this->s_Codigo = $s_Codigo;
    }

    /* Obtiene el valor del campo Codigo */
    public function getCodigo()
    {
        return $this->s_Codigo;
    }

    /* Establece el valor del campo DescripcionCorta */
    public function setDescripcionCorta( $s_DescripcionCorta )
    {
        $this->s_DescripcionCorta = $s_DescripcionCorta;
    }

    /* Obtiene el valor del campo DescripcionCorta */
    public function getDescripcionCorta()
    {
        return $this->s_DescripcionCorta;
    }

    /* Establece el valor del campo DescripcionLarga */
    public function setDescripcionLarga( $s_DescripcionLarga )
    {
        $this->s_DescripcionLarga = $s_DescripcionLarga;
    }

    /* Obtiene el valor del campo DescripcionLarga */
    public function getDescripcionLarga()
    {
        return $this->s_DescripcionLarga;
    }

    /* Establece el valor del campo Departamento */
    public function setDepartamento( $s_Departamento )
    {
        $this->s_Departamento = $s_Departamento;
    }

    /* Obtiene el valor del campo Departamento */
    public function getDepartamento()
    {
        return $this->s_Departamento;
    }

    /* Establece el valor del campo Provincia */
    public function setProvincia( $s_Provincia )
    {
        $this->s_Provincia = $s_Provincia;
    }

    /* Obtiene el valor del campo Provincia */
    public function getProvincia()
    {
        return $this->s_Provincia;
    }

    /* Establece el valor del campo Distrito */
    public function setDistrito( $s_Distrito )
    {
        $this->s_Distrito = $s_Distrito;
    }

    /* Obtiene el valor del campo Distrito */
    public function getDistrito()
    {
        return $this->s_Distrito;
    }

    /* Establece el valor del campo DireccionComun */
    public function setDireccionComun( $s_DireccionComun )
    {
        $this->s_DireccionComun = $s_DireccionComun;
    }

    /* Obtiene el valor del campo DireccionComun */
    public function getDireccionComun()
    {
        return $this->s_DireccionComun;
    }

    /* Establece el valor del campo DireccionAdicional */
    public function setDireccionAdicional( $s_DireccionAdicional )
    {
        $this->s_DireccionAdicional = $s_DireccionAdicional;
    }

    /* Obtiene el valor del campo DireccionAdicional */
    public function getDireccionAdicional()
    {
        return $this->s_DireccionAdicional;
    }

    /* Establece el valor del campo Telefono1 */
    public function setTelefono1( $s_Telefono1 )
    {
        $this->s_Telefono1 = $s_Telefono1;
    }

    /* Obtiene el valor del campo Telefono1 */
    public function getTelefono1()
    {
        return $this->s_Telefono1;
    }

    /* Establece el valor del campo Telefono2 */
    public function setTelefono2( $s_Telefono2 )
    {
        $this->s_Telefono2 = $s_Telefono2;
    }

    /* Obtiene el valor del campo Telefono2 */
    public function getTelefono2()
    {
        return $this->s_Telefono2;
    }

    /* Establece el valor del campo Ruc */
    public function setRuc( $s_Ruc )
    {
        $this->s_Ruc = $s_Ruc;
    }

    /* Obtiene el valor del campo Ruc */
    public function getRuc()
    {
        return $this->s_Ruc;
    }

    /* Establece el valor del campo Estado */
    public function setEstado( $s_Estado )
    {
        $this->s_Estado = $s_Estado;
    }

    /* Obtiene el valor del campo Estado */
    public function getEstado()
    {
        return $this->s_Estado;
    }

    /* Establece el valor del campo Telefono3 */
    public function setTelefono3( $s_Telefono3 )
    {
        $this->s_Telefono3 = $s_Telefono3;
    }

    /* Obtiene el valor del campo Telefono3 */
    public function getTelefono3()
    {
        return $this->s_Telefono3;
    }

    /* Establece el valor del campo Fax1 */
    public function setFax1( $s_Fax1 )
    {
        $this->s_Fax1 = $s_Fax1;
    }

    /* Obtiene el valor del campo Fax1 */
    public function getFax1()
    {
        return $this->s_Fax1;
    }

    /* Establece el valor del campo Fax2 */
    public function setFax2( $s_Fax2 )
    {
        $this->s_Fax2 = $s_Fax2;
    }

    /* Obtiene el valor del campo Fax2 */
    public function getFax2()
    {
        return $this->s_Fax2;
    }

    /* Establece el valor del campo AfectoIGVFlag */
    public function setAfectoIGVFlag( $s_AfectoIGVFlag )
    {
        $this->s_AfectoIGVFlag = $s_AfectoIGVFlag;
    }

    /* Obtiene el valor del campo AfectoIGVFlag */
    public function getAfectoIGVFlag()
    {
        return $this->s_AfectoIGVFlag;
    }

    /* Establece el valor del campo LogoFileDir */
    public function setLogoFileDir( $s_LogoFileDir )
    {
        $this->s_LogoFileDir = $s_LogoFileDir;
    }

    /* Obtiene el valor del campo LogoFileDir */
    public function getLogoFileDir()
    {
        return $this->s_LogoFileDir;
    }

    /* Establece el valor del campo LogoFile */
    public function setLogoFile( $s_LogoFile )
    {
        $this->s_LogoFile = $s_LogoFile;
    }

    /* Obtiene el valor del campo LogoFile */
    public function getLogoFile()
    {
        return $this->s_LogoFile;
    }

    /* Establece el valor del campo LogoFileAncho */
    public function setLogoFileAncho( $s_LogoFileAncho )
    {
        $this->s_LogoFileAncho = $s_LogoFileAncho;
    }

    /* Obtiene el valor del campo LogoFileAncho */
    public function getLogoFileAncho()
    {
        return $this->s_LogoFileAncho;
    }

    /* Establece el valor del campo LogoFileAlto */
    public function setLogoFileAlto( $s_LogoFileAlto )
    {
        $this->s_LogoFileAlto = $s_LogoFileAlto;
    }

    /* Obtiene el valor del campo LogoFileAlto */
    public function getLogoFileAlto()
    {
        return $this->s_LogoFileAlto;
    }

    /* Establece el valor del campo LogoBackFileDir */
    public function setLogoBackFileDir( $s_LogoBackFileDir )
    {
        $this->s_LogoBackFileDir = $s_LogoBackFileDir;
    }

    /* Obtiene el valor del campo LogoBackFileDir */
    public function getLogoBackFileDir()
    {
        return $this->s_LogoBackFileDir;
    }

    /* Establece el valor del campo LogoBackFileWeb */
    public function setLogoBackFileWeb( $s_LogoBackFileWeb )
    {
        $this->s_LogoBackFileWeb = $s_LogoBackFileWeb;
    }

    /* Obtiene el valor del campo LogoBackFileWeb */
    public function getLogoBackFileWeb()
    {
        return $this->s_LogoBackFileWeb;
    }

    /* Establece el valor del campo LogoBackFileAncho */
    public function setLogoBackFileAncho( $s_LogoBackFileAncho )
    {
        $this->s_LogoBackFileAncho = $s_LogoBackFileAncho;
    }

    /* Obtiene el valor del campo LogoBackFileAncho */
    public function getLogoBackFileAncho()
    {
        return $this->s_LogoBackFileAncho;
    }

    /* Establece el valor del campo LogoBackFileAlto */
    public function setLogoBackFileAlto( $s_LogoBackFileAlto )
    {
        $this->s_LogoBackFileAlto = $s_LogoBackFileAlto;
    }

    /* Obtiene el valor del campo LogoBackFileAlto */
    public function getLogoBackFileAlto()
    {
        return $this->s_LogoBackFileAlto;
    }

    /* Establece el valor del campo RepresentanteLegal */
    public function setRepresentanteLegal( $s_RepresentanteLegal )
    {
        $this->s_RepresentanteLegal = $s_RepresentanteLegal;
    }

    /* Obtiene el valor del campo RepresentanteLegal */
    public function getRepresentanteLegal()
    {
        return $this->s_RepresentanteLegal;
    }

    /* Establece el valor del campo PaginaWeb */
    public function setPaginaWeb( $s_PaginaWeb )
    {
        $this->s_PaginaWeb = $s_PaginaWeb;
    }

    /* Obtiene el valor del campo PaginaWeb */
    public function getPaginaWeb()
    {
        return $this->s_PaginaWeb;
    }

    /* Establece el valor del campo FacturaNotasFormatoPDF */
    public function setFacturaNotasFormatoPDF( $s_FacturaNotasFormatoPDF )
    {
        $this->s_FacturaNotasFormatoPDF = $s_FacturaNotasFormatoPDF;
    }

    /* Obtiene el valor del campo FacturaNotasFormatoPDF */
    public function getFacturaNotasFormatoPDF()
    {
        return $this->s_FacturaNotasFormatoPDF;
    }

    /* Establece el valor del campo BoletaNotasFormatoPDF */
    public function setBoletaNotasFormatoPDF( $s_BoletaNotasFormatoPDF )
    {
        $this->s_BoletaNotasFormatoPDF = $s_BoletaNotasFormatoPDF;
    }

    /* Obtiene el valor del campo BoletaNotasFormatoPDF */
    public function getBoletaNotasFormatoPDF()
    {
        return $this->s_BoletaNotasFormatoPDF;
    }

    /* Establece el valor del campo EmailEmpresa */
    public function setEmailEmpresa( $s_EmailEmpresa )
    {
        $this->s_EmailEmpresa = $s_EmailEmpresa;
    }

    /* Obtiene el valor del campo EmailEmpresa */
    public function getEmailEmpresa()
    {
        return $this->s_EmailEmpresa;
    }

    /* Establece el valor del campo DirParaBuscarComprobante */
    public function setDirParaBuscarComprobante( $s_DirParaBuscarComprobante )
    {
        $this->s_DirParaBuscarComprobante = $s_DirParaBuscarComprobante;
    }

    /* Obtiene el valor del campo DirParaBuscarComprobante */
    public function getDirParaBuscarComprobante()
    {
        return $this->s_DirParaBuscarComprobante;
    }

    /* Establece el valor del campo PorTipoCambio */
    public function setPorTipoCambio( $f_PorTipoCambio )
    {
        $this->f_PorTipoCambio = $f_PorTipoCambio;
    }

    /* Obtiene el valor del campo PorTipoCambio */
    public function getPorTipoCambio()
    {
        return $this->f_PorTipoCambio;
    }

    /* Establece el valor del campo EnviarProveedorAutoFlag */
    public function setEnviarProveedorAutoFlag( $s_EnviarProveedorAutoFlag )
    {
        $this->s_EnviarProveedorAutoFlag = $s_EnviarProveedorAutoFlag;
    }

    /* Obtiene el valor del campo EnviarProveedorAutoFlag */
    public function getEnviarProveedorAutoFlag()
    {
        return $this->s_EnviarProveedorAutoFlag;
    }

    /* Establece el valor del campo AfectoRetencionIGVFlag */
    public function setAfectoRetencionIGVFlag( $s_AfectoRetencionIGVFlag )
    {
        $this->s_AfectoRetencionIGVFlag = $s_AfectoRetencionIGVFlag;
    }

    /* Obtiene el valor del campo AfectoRetencionIGVFlag */
    public function getAfectoRetencionIGVFlag()
    {
        return $this->s_AfectoRetencionIGVFlag;
    }

    /* Establece el valor del campo AfectoPercepcionIGVFlag */
    public function setAfectoPercepcionIGVFlag( $s_AfectoPercepcionIGVFlag )
    {
        $this->s_AfectoPercepcionIGVFlag = $s_AfectoPercepcionIGVFlag;
    }

    /* Obtiene el valor del campo AfectoPercepcionIGVFlag */
    public function getAfectoPercepcionIGVFlag()
    {
        return $this->s_AfectoPercepcionIGVFlag;
    }

    /* Establece el valor del campo MostrarMargenVenta */
    public function setMostrarMargenVenta( $i_MostrarMargenVenta )
    {
        $this->i_MostrarMargenVenta = $i_MostrarMargenVenta;
    }

    /* Obtiene el valor del campo MostrarMargenVenta */
    public function getMostrarMargenVenta()
    {
        return $this->i_MostrarMargenVenta;
    }

    /* Establece el valor del campo CarteraClienteFlag */
    public function setCarteraClienteFlag( $i_CarteraClienteFlag )
    {
        $this->i_CarteraClienteFlag = $i_CarteraClienteFlag;
    }

    /* Obtiene el valor del campo CarteraClienteFlag */
    public function getCarteraClienteFlag()
    {
        return $this->i_CarteraClienteFlag;
    }

    /* Establece el valor del campo AprobacionParaImpGuias */
    public function setAprobacionParaImpGuias( $i_AprobacionParaImpGuias )
    {
        $this->i_AprobacionParaImpGuias = $i_AprobacionParaImpGuias;
    }

    /* Obtiene el valor del campo AprobacionParaImpGuias */
    public function getAprobacionParaImpGuias()
    {
        return $this->i_AprobacionParaImpGuias;
    }

    /* Establece el valor del campo MostrarNumeroLote */
    public function setMostrarNumeroLote( $i_MostrarNumeroLote )
    {
        $this->i_MostrarNumeroLote = $i_MostrarNumeroLote;
    }

    /* Obtiene el valor del campo MostrarNumeroLote */
    public function getMostrarNumeroLote()
    {
        return $this->i_MostrarNumeroLote;
    }

    /* Establece el valor del campo TrabajarModoAlquiler */
    public function setTrabajarModoAlquiler( $i_TrabajarModoAlquiler )
    {
        $this->i_TrabajarModoAlquiler = $i_TrabajarModoAlquiler;
    }

    /* Obtiene el valor del campo TrabajarModoAlquiler */
    public function getTrabajarModoAlquiler()
    {
        return $this->i_TrabajarModoAlquiler;
    }

    /* Establece el valor del campo OpeCierreCaja */
    public function setOpeCierreCaja( $i_OpeCierreCaja )
    {
        $this->i_OpeCierreCaja = $i_OpeCierreCaja;
    }

    /* Obtiene el valor del campo OpeCierreCaja */
    public function getOpeCierreCaja()
    {
        return $this->i_OpeCierreCaja;
    }

    /* Establece el valor del campo IdClientePorDef */
    public function setIdClientePorDef( $i_IdClientePorDef )
    {
        $this->i_IdClientePorDef = $i_IdClientePorDef;
    }

    /* Obtiene el valor del campo IdClientePorDef */
    public function getIdClientePorDef()
    {
        return $this->i_IdClientePorDef;
    }

    /* Establece el valor del campo IdUsuarioAdmin */
    public function setIdUsuarioAdmin( $i_IdUsuarioAdmin )
    {
        $this->i_IdUsuarioAdmin = $i_IdUsuarioAdmin;
    }

    /* Obtiene el valor del campo IdUsuarioAdmin */
    public function getIdUsuarioAdmin()
    {
        return $this->i_IdUsuarioAdmin;
    }

    /* Establece el valor del campo OpeDsctoStockEnGuiaR */
    public function setOpeDsctoStockEnGuiaR( $i_OpeDsctoStockEnGuiaR )
    {
        $this->i_OpeDsctoStockEnGuiaR = $i_OpeDsctoStockEnGuiaR;
    }

    /* Obtiene el valor del campo OpeDsctoStockEnGuiaR */
    public function getOpeDsctoStockEnGuiaR()
    {
        return $this->i_OpeDsctoStockEnGuiaR;
    }

    /* Establece el valor del campo LogoBackgroundColor */
    public function setLogoBackgroundColor( $s_LogoBackgroundColor )
    {
        $this->s_LogoBackgroundColor = $s_LogoBackgroundColor;
    }

    /* Obtiene el valor del campo LogoBackgroundColor */
    public function getLogoBackgroundColor()
    {
        return $this->s_LogoBackgroundColor;
    }

    /* Establece el valor del campo NavbarBackgroundColor */
    public function setNavbarBackgroundColor( $s_NavbarBackgroundColor )
    {
        $this->s_NavbarBackgroundColor = $s_NavbarBackgroundColor;
    }

    /* Obtiene el valor del campo NavbarBackgroundColor */
    public function getNavbarBackgroundColor()
    {
        return $this->s_NavbarBackgroundColor;
    }

    /* Establece el valor del campo SidebarBackgroundColor */
    public function setSidebarBackgroundColor( $s_SidebarBackgroundColor )
    {
        $this->s_SidebarBackgroundColor = $s_SidebarBackgroundColor;
    }

    /* Obtiene el valor del campo SidebarBackgroundColor */
    public function getSidebarBackgroundColor()
    {
        return $this->s_SidebarBackgroundColor;
    }

    /* Establece el valor del campo UsuSecundarioPruebaUser */
    public function setUsuSecundarioPruebaUser( $s_UsuSecundarioPruebaUser )
    {
        $this->s_UsuSecundarioPruebaUser = $s_UsuSecundarioPruebaUser;
    }

    /* Obtiene el valor del campo UsuSecundarioPruebaUser */
    public function getUsuSecundarioPruebaUser()
    {
        return $this->s_UsuSecundarioPruebaUser;
    }

    /* Establece el valor del campo UsuSecundarioPruebaPass */
    public function setUsuSecundarioPruebaPass( $s_UsuSecundarioPruebaPass )
    {
        $this->s_UsuSecundarioPruebaPass = $s_UsuSecundarioPruebaPass;
    }

    /* Obtiene el valor del campo UsuSecundarioPruebaPass */
    public function getUsuSecundarioPruebaPass()
    {
        return $this->s_UsuSecundarioPruebaPass;
    }

    /* Establece el valor del campo UsuSecundarioProdUser */
    public function setUsuSecundarioProdUser( $s_UsuSecundarioProdUser )
    {
        $this->s_UsuSecundarioProdUser = $s_UsuSecundarioProdUser;
    }

    /* Obtiene el valor del campo UsuSecundarioProdUser */
    public function getUsuSecundarioProdUser()
    {
        return $this->s_UsuSecundarioProdUser;
    }

    /* Establece el valor del campo UsuSecundarioProdPass */
    public function setUsuSecundarioProdPass( $s_UsuSecundarioProdPass )
    {
        $this->s_UsuSecundarioProdPass = $s_UsuSecundarioProdPass;
    }

    /* Obtiene el valor del campo UsuSecundarioProdPass */
    public function getUsuSecundarioProdPass()
    {
        return $this->s_UsuSecundarioProdPass;
    }

    /* Establece el valor del campo ModoEntorno */
    public function setModoEntorno( $i_ModoEntorno )
    {
        $this->i_ModoEntorno = $i_ModoEntorno;
    }

    /* Obtiene el valor del campo ModoEntorno */
    public function getModoEntorno()
    {
        return $this->i_ModoEntorno;
    }

    /* Establece el valor del campo Eliminado */
    public function setEliminado( $i_Eliminado )
    {
        $this->i_Eliminado = $i_Eliminado;
    }

    /* Obtiene el valor del campo Eliminado */
    public function getEliminado()
    {
        return $this->i_Eliminado;
    }

    /* Establece el valor del campo FechaEliminado */
    public function setFechaEliminado( $d_FechaEliminado )
    {
        $this->d_FechaEliminado = $d_FechaEliminado;
    }

    /* Obtiene el valor del campo FechaEliminado */
    public function getFechaEliminado()
    {
        return $this->d_FechaEliminado;
    }

    /* Establece el valor del campo UsuarioEliminado */
    public function setUsuarioEliminado( $s_UsuarioEliminado )
    {
        $this->s_UsuarioEliminado = $s_UsuarioEliminado;
    }

    /* Obtiene el valor del campo UsuarioEliminado */
    public function getUsuarioEliminado()
    {
        return $this->s_UsuarioEliminado;
    }

    /* Establece el valor del campo FechaCreacion */
    public function setFechaCreacion( $d_FechaCreacion )
    {
        $this->d_FechaCreacion = $d_FechaCreacion;
    }

    /* Obtiene el valor del campo FechaCreacion */
    public function getFechaCreacion()
    {
        return $this->d_FechaCreacion;
    }

    /* Establece el valor del campo UsuarioCreacion */
    public function setUsuarioCreacion( $s_UsuarioCreacion )
    {
        $this->s_UsuarioCreacion = $s_UsuarioCreacion;
    }

    /* Obtiene el valor del campo UsuarioCreacion */
    public function getUsuarioCreacion()
    {
        return $this->s_UsuarioCreacion;
    }

    /* Establece el valor del campo FechaModificacion */
    public function setFechaModificacion( $d_FechaModificacion )
    {
        $this->d_FechaModificacion = $d_FechaModificacion;
    }

    /* Obtiene el valor del campo FechaModificacion */
    public function getFechaModificacion()
    {
        return $this->d_FechaModificacion;
    }

    /* Establece el valor del campo UsuarioModificacion */
    public function setUsuarioModificacion( $s_UsuarioModificacion )
    {
        $this->s_UsuarioModificacion = $s_UsuarioModificacion;
    }

    /* Obtiene el valor del campo UsuarioModificacion */
    public function getUsuarioModificacion()
    {
        return $this->s_UsuarioModificacion;
    }

    public function getJsonSerialize()
    {
        return 
        [
            'IdCompania' => $this->getIdCompania(),
            'Codigo' => $this->getCodigo(),
            'DescripcionCorta' => $this->getDescripcionCorta(),
            'DescripcionLarga' => $this->getDescripcionLarga(),
            'Departamento' => $this->getDepartamento(),
            'Provincia' => $this->getProvincia(),
            'Distrito' => $this->getDistrito(),
            'DireccionComun' => $this->getDireccionComun(),
            'DireccionAdicional' => $this->getDireccionAdicional(),
            'Telefono1' => $this->getTelefono1(),
            'Telefono2' => $this->getTelefono2(),
            'Ruc' => $this->getRuc(),
            'Estado' => $this->getEstado(),
            'Telefono3' => $this->getTelefono3(),
            'Fax1' => $this->getFax1(),
            'Fax2' => $this->getFax2(),
            'AfectoIGVFlag' => $this->getAfectoIGVFlag(),
            'LogoFileDir' => $this->getLogoFileDir(),
            'LogoFile' => $this->getLogoFile(),
            'LogoFileAncho' => $this->getLogoFileAncho(),
            'LogoFileAlto' => $this->getLogoFileAlto(),
            'LogoBackFileDir' => $this->getLogoBackFileDir(),
            'LogoBackFileWeb' => $this->getLogoBackFileWeb(),
            'LogoBackFileAncho' => $this->getLogoBackFileAncho(),
            'LogoBackFileAlto' => $this->getLogoBackFileAlto(),
            'RepresentanteLegal' => $this->getRepresentanteLegal(),
            'PaginaWeb' => $this->getPaginaWeb(),
            'FacturaNotasFormatoPDF' => $this->getFacturaNotasFormatoPDF(),
            'BoletaNotasFormatoPDF' => $this->getBoletaNotasFormatoPDF(),
            'EmailEmpresa' => $this->getEmailEmpresa(),
            'DirParaBuscarComprobante' => $this->getDirParaBuscarComprobante(),
            'PorTipoCambio' => $this->getPorTipoCambio(),
            'EnviarProveedorAutoFlag' => $this->getEnviarProveedorAutoFlag(),
            'AfectoRetencionIGVFlag' => $this->getAfectoRetencionIGVFlag(),
            'AfectoPercepcionIGVFlag' => $this->getAfectoPercepcionIGVFlag(),
            'MostrarMargenVenta' => $this->getMostrarMargenVenta(),
            'CarteraClienteFlag' => $this->getCarteraClienteFlag(),
            'AprobacionParaImpGuias' => $this->getAprobacionParaImpGuias(),
            'MostrarNumeroLote' => $this->getMostrarNumeroLote(),
            'TrabajarModoAlquiler' => $this->getTrabajarModoAlquiler(),
            'OpeCierreCaja' => $this->getOpeCierreCaja(),
            'IdClientePorDef' => $this->getIdClientePorDef(),
            'IdUsuarioAdmin' => $this->getIdUsuarioAdmin(),
            'OpeDsctoStockEnGuiaR' => $this->getOpeDsctoStockEnGuiaR(),
            'LogoBackgroundColor' => $this->getLogoBackgroundColor(),
            'NavbarBackgroundColor' => $this->getNavbarBackgroundColor(),
            'SidebarBackgroundColor' => $this->getSidebarBackgroundColor(),
            'UsuSecundarioPruebaUser' => $this->getUsuSecundarioPruebaUser(),
            'UsuSecundarioPruebaPass' => $this->getUsuSecundarioPruebaPass(),
            'UsuSecundarioProdUser' => $this->getUsuSecundarioProdUser(),
            'UsuSecundarioProdPass' => $this->getUsuSecundarioProdPass(),
            'ModoEntorno' => $this->getModoEntorno(),
            'Eliminado' => $this->getEliminado(),
            'FechaEliminado' => $this->getFechaEliminado(),
            'UsuarioEliminado' => $this->getUsuarioEliminado(),
            'FechaCreacion' => $this->getFechaCreacion(),
            'UsuarioCreacion' => $this->getUsuarioCreacion(),
            'FechaModificacion' => $this->getFechaModificacion(),
            'UsuarioModificacion' => $this->getUsuarioModificacion(),
        ];
    }

    public function toArray()
    {
        return $this->processArray( get_object_vars( $this ) ); 
    }

    private function processArray( $array )
    {
        foreach( $array as $key => $value ) 
        {
            if ( is_object( $value ) )
            {
                $array[$key] = $value->toArray();
            }
            if ( is_array( $value ) ) 
            {
                $array[$key] = $this->processArray( $value );
            }
        }
        return $array;
    }

    public function __toString()
    {
        return json_encode( $this->toArray() ); 
    }

    /* Recupera un objeto GSS_CompaniaBN desde un RecordSet */
    public static function retrieveByRs( $o_GSS_CompaniaRs )
    {
        $o_GSS_CompaniaBN = new GSS_CompaniaBN();
        $o_GSS_CompaniaBN->setIdCompania( ( integer ) $o_GSS_CompaniaRs[ "IdCompania" ] );
        $o_GSS_CompaniaBN->setCodigo( $o_GSS_CompaniaRs[ "Codigo" ] );
        $o_GSS_CompaniaBN->setDescripcionCorta( $o_GSS_CompaniaRs[ "DescripcionCorta" ] );
        $o_GSS_CompaniaBN->setDescripcionLarga( $o_GSS_CompaniaRs[ "DescripcionLarga" ] );
        $o_GSS_CompaniaBN->setDepartamento( $o_GSS_CompaniaRs[ "Departamento" ] );
        $o_GSS_CompaniaBN->setProvincia( $o_GSS_CompaniaRs[ "Provincia" ] );
        $o_GSS_CompaniaBN->setDistrito( $o_GSS_CompaniaRs[ "Distrito" ] );
        $o_GSS_CompaniaBN->setDireccionComun( $o_GSS_CompaniaRs[ "DireccionComun" ] );
        $o_GSS_CompaniaBN->setDireccionAdicional( $o_GSS_CompaniaRs[ "DireccionAdicional" ] );
        $o_GSS_CompaniaBN->setTelefono1( $o_GSS_CompaniaRs[ "Telefono1" ] );
        $o_GSS_CompaniaBN->setTelefono2( $o_GSS_CompaniaRs[ "Telefono2" ] );
        $o_GSS_CompaniaBN->setRuc( $o_GSS_CompaniaRs[ "Ruc" ] );
        $o_GSS_CompaniaBN->setEstado( $o_GSS_CompaniaRs[ "Estado" ] );
        $o_GSS_CompaniaBN->setTelefono3( $o_GSS_CompaniaRs[ "Telefono3" ] );
        $o_GSS_CompaniaBN->setFax1( $o_GSS_CompaniaRs[ "Fax1" ] );
        $o_GSS_CompaniaBN->setFax2( $o_GSS_CompaniaRs[ "Fax2" ] );
        $o_GSS_CompaniaBN->setAfectoIGVFlag( $o_GSS_CompaniaRs[ "AfectoIGVFlag" ] );
        $o_GSS_CompaniaBN->setLogoFileDir( $o_GSS_CompaniaRs[ "LogoFileDir" ] );
        $o_GSS_CompaniaBN->setLogoFile( $o_GSS_CompaniaRs[ "LogoFile" ] );
        $o_GSS_CompaniaBN->setLogoFileAncho( $o_GSS_CompaniaRs[ "LogoFileAncho" ] );
        $o_GSS_CompaniaBN->setLogoFileAlto( $o_GSS_CompaniaRs[ "LogoFileAlto" ] );
        $o_GSS_CompaniaBN->setLogoBackFileDir( $o_GSS_CompaniaRs[ "LogoBackFileDir" ] );
        $o_GSS_CompaniaBN->setLogoBackFileWeb( $o_GSS_CompaniaRs[ "LogoBackFileWeb" ] );
        $o_GSS_CompaniaBN->setLogoBackFileAncho( $o_GSS_CompaniaRs[ "LogoBackFileAncho" ] );
        $o_GSS_CompaniaBN->setLogoBackFileAlto( $o_GSS_CompaniaRs[ "LogoBackFileAlto" ] );
        $o_GSS_CompaniaBN->setRepresentanteLegal( $o_GSS_CompaniaRs[ "RepresentanteLegal" ] );
        $o_GSS_CompaniaBN->setPaginaWeb( $o_GSS_CompaniaRs[ "PaginaWeb" ] );
        $o_GSS_CompaniaBN->setFacturaNotasFormatoPDF( $o_GSS_CompaniaRs[ "FacturaNotasFormatoPDF" ] );
        $o_GSS_CompaniaBN->setBoletaNotasFormatoPDF( $o_GSS_CompaniaRs[ "BoletaNotasFormatoPDF" ] );
        $o_GSS_CompaniaBN->setEmailEmpresa( $o_GSS_CompaniaRs[ "EmailEmpresa" ] );
        $o_GSS_CompaniaBN->setDirParaBuscarComprobante( $o_GSS_CompaniaRs[ "DirParaBuscarComprobante" ] );
        $o_GSS_CompaniaBN->setPorTipoCambio( ( float ) $o_GSS_CompaniaRs[ "PorTipoCambio" ] );
        $o_GSS_CompaniaBN->setEnviarProveedorAutoFlag( $o_GSS_CompaniaRs[ "EnviarProveedorAutoFlag" ] );
        $o_GSS_CompaniaBN->setAfectoRetencionIGVFlag( $o_GSS_CompaniaRs[ "AfectoRetencionIGVFlag" ] );
        $o_GSS_CompaniaBN->setAfectoPercepcionIGVFlag( $o_GSS_CompaniaRs[ "AfectoPercepcionIGVFlag" ] );
        $o_GSS_CompaniaBN->setMostrarMargenVenta( ( integer ) $o_GSS_CompaniaRs[ "MostrarMargenVenta" ] );
        $o_GSS_CompaniaBN->setCarteraClienteFlag( ( integer ) $o_GSS_CompaniaRs[ "CarteraClienteFlag" ] );
        $o_GSS_CompaniaBN->setAprobacionParaImpGuias( ( integer ) $o_GSS_CompaniaRs[ "AprobacionParaImpGuias" ] );
        $o_GSS_CompaniaBN->setMostrarNumeroLote( ( integer ) $o_GSS_CompaniaRs[ "MostrarNumeroLote" ] );
        $o_GSS_CompaniaBN->setTrabajarModoAlquiler( ( integer ) $o_GSS_CompaniaRs[ "TrabajarModoAlquiler" ] );
        $o_GSS_CompaniaBN->setOpeCierreCaja( ( integer ) $o_GSS_CompaniaRs[ "OpeCierreCaja" ] );
        $o_GSS_CompaniaBN->setIdClientePorDef( ( integer ) $o_GSS_CompaniaRs[ "IdClientePorDef" ] );
        $o_GSS_CompaniaBN->setIdUsuarioAdmin( ( integer ) $o_GSS_CompaniaRs[ "IdUsuarioAdmin" ] );
        $o_GSS_CompaniaBN->setOpeDsctoStockEnGuiaR( ( integer ) $o_GSS_CompaniaRs[ "OpeDsctoStockEnGuiaR" ] );
        $o_GSS_CompaniaBN->setLogoBackgroundColor( $o_GSS_CompaniaRs[ "LogoBackgroundColor" ] );
        $o_GSS_CompaniaBN->setNavbarBackgroundColor( $o_GSS_CompaniaRs[ "NavbarBackgroundColor" ] );
        $o_GSS_CompaniaBN->setSidebarBackgroundColor( $o_GSS_CompaniaRs[ "SidebarBackgroundColor" ] );
        $o_GSS_CompaniaBN->setUsuSecundarioPruebaUser( $o_GSS_CompaniaRs[ "UsuSecundarioPruebaUser" ] );
        $o_GSS_CompaniaBN->setUsuSecundarioPruebaPass( $o_GSS_CompaniaRs[ "UsuSecundarioPruebaPass" ] );
        $o_GSS_CompaniaBN->setUsuSecundarioProdUser( $o_GSS_CompaniaRs[ "UsuSecundarioProdUser" ] );
        $o_GSS_CompaniaBN->setUsuSecundarioProdPass( $o_GSS_CompaniaRs[ "UsuSecundarioProdPass" ] );
        $o_GSS_CompaniaBN->setModoEntorno( ( integer ) $o_GSS_CompaniaRs[ "ModoEntorno" ] );
        $o_GSS_CompaniaBN->setEliminado( ( integer ) $o_GSS_CompaniaRs[ "Eliminado" ] );
        $o_GSS_CompaniaBN->setFechaEliminado( utilTimestamp::getTimestamp( $o_GSS_CompaniaRs[ "FechaEliminado" ], "Y-m-d H:i:s" ) );
        $o_GSS_CompaniaBN->setUsuarioEliminado( $o_GSS_CompaniaRs[ "UsuarioEliminado" ] );
        $o_GSS_CompaniaBN->setFechaCreacion( utilTimestamp::getTimestamp( $o_GSS_CompaniaRs[ "FechaCreacion" ], "Y-m-d H:i:s" ) );
        $o_GSS_CompaniaBN->setUsuarioCreacion( $o_GSS_CompaniaRs[ "UsuarioCreacion" ] );
        $o_GSS_CompaniaBN->setFechaModificacion( utilTimestamp::getTimestamp( $o_GSS_CompaniaRs[ "FechaModificacion" ], "Y-m-d H:i:s" ) );
        $o_GSS_CompaniaBN->setUsuarioModificacion( $o_GSS_CompaniaRs[ "UsuarioModificacion" ] );
        return $o_GSS_CompaniaBN;
    }
}
?>